"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskHistory = void 0;
const client_1 = require("../daemon/client/client");
const is_on_daemon_1 = require("../daemon/is-on-daemon");
const cache_directory_1 = require("./cache-directory");
const native_1 = require("../native");
class TaskHistory {
    constructor() {
        this.taskHistory = new native_1.NxTaskHistory(cache_directory_1.workspaceDataDirectory);
    }
    async getFlakyTasks(hashes) {
        if ((0, is_on_daemon_1.isOnDaemon)() || !client_1.daemonClient.enabled()) {
            return this.taskHistory.getFlakyTasks(hashes);
        }
        return await client_1.daemonClient.getFlakyTasks(hashes);
    }
    async recordTaskRuns(taskRuns) {
        if ((0, is_on_daemon_1.isOnDaemon)() || !client_1.daemonClient.enabled()) {
            return this.taskHistory.recordTaskRuns(taskRuns);
        }
        return client_1.daemonClient.recordTaskRuns(taskRuns);
    }
}
exports.TaskHistory = TaskHistory;
